Wine não instala de jeito nenhum e aplicativos nativos do sistema também não

Pessoal, estou tentando instalar o Wine diretamente do site deles, mas não consigo. Dá um erro dizendo que está faltando algumas coisas. E o pior é que depois de tentar pelo site do Wine tentei na própria loja do linux mint Uma e instalei, mas este não estava fazendo nada. Daí desinstalei e tentei dar um “sudo apt-get install wine” aqui no terminal e percebi que essa ação começou a excluir algumas coisas que eu tinha instalado como o Chrome e o programa do próprio sistema que mostra pra gente os prints que a gente tira.
Imediatamente parei o processo.
Depois disso tentei instalar o Wine e ele continua sem funcionar direito, nem aparece no Menu.
Tentei olhar em alguns tópicos aqui do site, mas todos eles falam pra limpar a instalação do Wine e eu já fiz isso.
O que vocês acham que devo fazer?

A propósito, eu já verifiquei pra ver se tinha pacotes quebrados, mas não apareceu nenhum.

Isso me cheira a falta de ter adicionado a chave do repositório do Ubuntu Focal Fossa…

  1. Dá uma geral no apt: sudo apt update && sudo apt full-upgrade && sudo apt autoclean && sudo apt autoremove
  2. Siga o pombo:
    image

image

“Doing the same thing over and over and expecting different results”

Vou tentar e te falo já

Apareceu isso daqui denovo:

Lendo listas de pacotes… Pronto
Construindo árvore de dependências
Lendo informação de estado… Pronto
Alguns pacotes não puderam ser instalados. Isto pode significar que
você solicitou uma situação impossível ou, se você está usando a
distribuição instável, que alguns pacotes requeridos não foram
criados ainda ou foram retirados da “Incoming”.
A informação a seguir pode ajudar a resolver a situação:

Os pacotes a seguir têm dependências desencontradas:
winehq-stable : Depende: wine-stable (= 6.0.2~focal-1)
E: Impossível corrigir problemas, você manteve (hold) pacotes quebrados.

Já pesquisei sobre isso, mas até agora nada

Vê se ajuda: Package Manager Issues (Pop!_OS) - System76 Support

Não consegui entender o que o cara disse no site. Mas acho que não tem a solução do meu problema :sweat_smile:

Ficar na negação ai eu concordo que não terá solução para o problema mesmo…
Só copiar e colar cada comando um a um:

sudo apt clean
sudo apt update -m
sudo dpkg --configure -a
sudo apt install -f
sudo apt full-upgrade
sudo apt autoremove --purge

Coloquei todos eles mas ainda assim continua naquele erro que postei antes.

Tenta isso:

wget -nc https://dl.winehq.org/wine-builds/winehq.key
sudo apt-key add winehq.key
sudo apt-add-repository 'https://dl.winehq.org/wine-builds/ubuntu/'
sudo apt update
sudo apt install --install-recommends winehq-staging
sudo apt install winetricks

fonte: GloriousEggroll's Blog » How to get out of Wine Dependency hell

Lendo listas de pacotes… Pronto
Construindo árvore de dependências
Lendo informação de estado… Pronto
Alguns pacotes não puderam ser instalados. Isto pode significar que
você solicitou uma situação impossível ou, se você está usando a
distribuição instável, que alguns pacotes requeridos não foram
criados ainda ou foram retirados da “Incoming”.
A informação a seguir pode ajudar a resolver a situação:

Os pacotes a seguir têm dependências desencontradas:
winehq-staging : Depende: wine-staging (= 6.20~focal-1)
E: Impossível corrigir problemas, você manteve (hold) pacotes quebrados.

APARECEU O MESMO ERRO

Eae man suave? Tenta seguir esse tutorial Como instalar o WineHQ no Ubuntu de forma correta - Diolinux e vê se da certo. Ultimamente vejo bastante gente “apanhando” em instalar o Wine no Mint !!!

Pessoal, consegui encontrar o erro nesse site: wine - can't install wine32 on Ubuntu 20.04 - Ask Ubuntu

Tudo que eu fiz foi instalar pelo synaptic essa coisa aqui ‘libc6-i386’.

Essa instalação desatualizou essa outra coisa aqui ‘libc6’.

Depois disso segui todos os passos do site do Wine e consegui instalar numa boa.

Pelo que entendi o problema é com os desenvolvedores do Ubuntu acho.

Muito obrigado a todos pela ajuda!

Este tópico foi fechado automaticamente 3 dias depois da última resposta. Novas respostas não são mais permitidas.